Bug 850130 - Introduce new systemd-rpm macros in glusterfs spec file
Introduce new systemd-rpm macros in glusterfs spec file
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:38 EDT by Lukáš Nykrýn
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:31:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch adds systemctl preset call with condition for F18 and RHEL7 (1.40 KB, patch)
2012-09-17 07:19 EDT, Václav Pavlín
no flags Details | Diff
Patch adds systemctl preset call with condition for F18 and RHEL7 (1.40 KB, patch)
2012-09-17 07:27 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:38:48 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-09-17 07:19:03 EDT
Created attachment 613631 [details]
Patch adds systemctl preset call with condition for F18 and RHEL7

This approach does not follow guidelines but it was the easiest way how to add systemd presets support and not to break design of your spec file.
Comment 2 Václav Pavlín 2012-09-17 07:27:19 EDT
Created attachment 613633 [details]
Patch adds systemctl preset call with condition for F18 and RHEL7

Sorry, I mistyped name of macro.
Comment 3 Fedora Admin XMLRPC Client 2013-01-18 10:14:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.